<?php

namespace Drupal\hospital_price_transparency\Controller;

use Drupal\Core\Cache\CacheableMetadata;
use Drupal\Core\Cache\CacheableResponse;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Routing\TrustedRedirectResponse;
use Symfony\Component\HttpFoundation\Response;

/**
 * Returns responses for Hospital Price Transparency routes.
 */
class HospitalPriceTransparencyController extends ControllerBase {

  /**
   * Redirects to the hospital_price_transparency file.
   */
  public function file() {
    $cacheability = new CacheableMetadata();
    $cacheability->addCacheTags(['config:hospital_price_transparency.settings']);
    if ($url = \Drupal::service('hospital_price_transparency')->getFileUrl()) {
      $response = new TrustedRedirectResponse($url->toString(), 301);
    }
    else {
      $response = new CacheableResponse($this->t('The Hospital Price Transparency document was not found.'), Response::HTTP_NOT_FOUND);
    }
    $response->addCacheableDependency($cacheability);
    return $response;
  }

}
